/* Laguerre.h */


void forwardDeflation(fpComplex*& c, long& n, fpComplex& x);
void Evaluate(fpComplex*& a, long n, fpComplex& x, fpComplex& P);
void derivPoly(fpComplex*& c, long n, fpComplex& x,
			   fpComplex& P, fpComplex& P1, fpComplex& P2);
bool Laguerre(fpComplex*& c, long n, fpComplex& x, fp& dxAbs, fp& fudgeFactor);
